Name:           ViennaRNA
Version:        1.8.4
Release:        1%{?dist}
Summary:        RNA Secondary Structure Prediction and Comparison tools

Group:          Applications/Engineering
License:        unclear
URL:            http://www.tbi.univie.ac.at/RNA/
Source0:        http://www.tbi.univie.ac.at/RNA/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)



%description
The Vienna RNA Package consists of a C code library and several 
stand-alone programs for the prediction and comparison of RNA 
secondary structures.

RNA secondary structure prediction through energy minimization is 
the most used function in the package. We provide three kinds of 
dynamic programming algorithms for structure prediction: the minimum 
free energy algorithm of (Zuker & Stiegler 1981) which yields a 
single optimal structure, the partition function algorithm of 
(McCaskill 1990) which calculates base pair probabilities in the 
thermodynamic ensemble, and the suboptimal folding algorithm of 
(Wuchty et.al 1999) which generates all suboptimal structures 
within a given energy range of the optimal energy. For secondary 
structure comparison, the package contains several measures of 
distance (dissimilarities) using either string alignment or 
tree-editing (Shapiro & Zhang 1990). Finally, we provide an 
algorithm to design sequences with a predefined structure (inverse 
folding).

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING THANKS AUTHORS



%changelog
* Tue Dec 01 2009 pingou <pingou@pingoured.fr> 1.8.4-1
- initial package for Fedora

